MvBlog脚本插入及SQL注入漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1195416 漏洞类型 跨站脚本
发布时间 2006-04-12 更新时间 2006-04-14
CVE编号 CVE-2006-1752 CNNVD-ID CNNVD-200604-191
漏洞平台 N/A CVSS评分 2.6
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200604-191
|漏洞详情
MvBlog是一款简单的开放源码blog引擎。MvBlog在标注张贴代码时存在跨站脚本漏洞,攻击者可能在客户机上执行恶意脚本代码。用包含有HTML或JavaScript代码的标题或正文创建消息时,代码不会做任何改动便存储在数据库中并出现在标注中,导致在页面环境中执行这些代码。攻击者可以利用这个漏洞向标注中注入恶意的HTML或JavaScript代码并在用户浏览器中执行。此外,MvBlog中还存在多个SQL注入漏洞。在创建并执行SQL查询之前,没有正确的验证和转义从客户端收集的数据,导致恶意用户可以向查询中注入各种SQL代码。
|参考资料

来源:VUPEN
名称:ADV-2006-1330
链接:http://www.frsirt.com/english/advisories/2006/1330
来源:SECUNIA
名称:19634
链接:http://secunia.com/advisories/19634
来源:BID
名称:17481
链接:http://www.securityfocus.com/bid/17481
来源:dev.mvblog.org
链接:http://dev.mvblog.org/cgi-bin/trac.cgi/ticket/55
来源:XF
名称:mvblog-comment-xss(25767)
链接:http://xforce.iss.net/xforce/xfdb/25767